com.rscja.custom.interfaces

## Interface IM775Authenticate

- All Superinterfaces:
    IUHF, IUHFOfAndroidUart
  All Known Implementing Classes:
    M775Authenticate, M775Authenticate_mtk, M775Authenticate_qcom

      public interface IM775Authenticate
      extends IUHFOfAndroidUart

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setInventoryCallback(M775Authenticate.IUHFInventoryCallback inventoryCallback)`
    `boolean` | `setInventoryMessageMode()` 设置读取Message模式(Set Read Message Mode)
    `M775Authenticate.AuthenticateInfo` | `UHFAuthenticate()`
    `M775Authenticate.AuthenticateInfo` | `UHFAuthenticate(int filterBank, int filterAddr, int filterDataLen, java.lang.String filterData)`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### UHFAuthenticate

          M775Authenticate.AuthenticateInfo UHFAuthenticate(int filterBank,
                                                            int filterAddr,
                                                            int filterDataLen,
                                                            java.lang.String filterData)

      Parameters:
        `filterBank` -
        `filterAddr` -
        `filterDataLen` -
        `filterData` -
      Returns:

    - #### UHFAuthenticate

          M775Authenticate.AuthenticateInfo UHFAuthenticate()

    - #### setInventoryCallback

          void setInventoryCallback(M775Authenticate.IUHFInventoryCallback inventoryCallback)

      Parameters:
        `inventoryCallback` - 盘点回调接口(Inventory callback interface)

    - #### setInventoryMessageMode

          boolean setInventoryMessageMode()

      设置读取Message模式(Set Read Message Mode)
      Returns:
        true:设置成功 false:设置失败(true means setup success, false means setup failed)